> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simplificagestao.com.br/llms.txt.
> For full documentation content, see https://docs.simplificagestao.com.br/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simplificagestao.com.br/_mcp/server.

# Criar serviço

POST https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico
Content-Type: application/json

Cria um novo serviço no catálogo comercial.

Regras:
- o serviço nasce ativo;
- a rota define o cadastro como serviço comum, então não aceite `tipo`, `procedimento` nem `movimenta_estoque`;
- serviços não movimentam estoque por esta rota.


Reference: https://docs.simplificagestao.com.br/api-reference/comercial/produtos-e-servicos/create-servico

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: openapi-simplifica
  version: 1.0.0
paths:
  /simplificav2/servico:
    post:
      operationId: create-servico
      summary: Criar serviço
      description: >
        Cria um novo serviço no catálogo comercial.


        Regras:

        - o serviço nasce ativo;

        - a rota define o cadastro como serviço comum, então não aceite `tipo`,
        `procedimento` nem `movimenta_estoque`;

        - serviços não movimentam estoque por esta rota.
      tags:
        - subpackage_comercial
      parameters:
        - name: Authorization
          in: header
          description: |
            Token privado usado para consultar dados da plataforma.

            Como usar:
            - obtenha o token privado da sua empresa;
            - envie `Authorization: Bearer SEU_TOKEN_PRIVADO`;
            - não use `x-api-key` neste módulo.
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Serviço criado com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WriteIdSuccessResponse'
        '400':
          description: Corpo JSON inválido.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '401':
          description: Token ausente, inválido ou sem empresa associada.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '409':
          description: >-
            O estado atual do recurso ou o valor informado não permitem a
            operação solicitada.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '422':
          description: Requisição válida em JSON, mas com regra funcional inválida.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
        '500':
          description: Erro interno inesperado ao executar a operação.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowUpWriteErrorResponse'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ServicoCreateRequest'
servers:
  - url: https://gestao.simplificagestao.com.br/ords/gestao
  - url: >-
      https://gd341ff411ca4b6-dbdevsimplificav2.adb.sa-saopaulo-1.oraclecloudapps.com/ords/gestao
components:
  schemas:
    ServicoCreateRequest:
      type: object
      properties:
        nome:
          type: string
          description: Nome do serviço.
        categoria_produto_id:
          type: integer
          description: Identificador da categoria ativa do serviço.
        valor:
          type: number
          format: double
          description: Valor de venda do serviço.
        custo:
          type: number
          format: double
          description: Custo atual do serviço.
        descricao:
          type:
            - string
            - 'null'
          description: Descrição complementar do serviço.
        codigo:
          type:
            - string
            - 'null'
          description: Código interno do serviço.
        codigo_barra:
          type:
            - string
            - 'null'
          description: Código opcional do cadastro.
        referencia:
          type:
            - string
            - 'null'
          description: Referência opcional do serviço.
      required:
        - nome
        - categoria_produto_id
        - valor
        - custo
      title: ServicoCreateRequest
    WriteIdData:
      type: object
      properties:
        id:
          type: integer
      required:
        - id
      title: WriteIdData
    WriteIdSuccessResponse:
      type: object
      properties:
        status:
          type: string
        mensagem:
          type: string
        data:
          $ref: '#/components/schemas/WriteIdData'
      required:
        - status
        - mensagem
        - data
      title: WriteIdSuccessResponse
    FollowUpWriteErrorResponse:
      type: object
      properties:
        status:
          type: string
        codigo:
          type: string
        mensagem:
          type: string
      required:
        - status
        - codigo
        - mensagem
      title: FollowUpWriteErrorResponse
  securitySchemes:
    SimplificaPrivateBearer:
      type: http
      scheme: bearer
      description: |
        Token privado usado para consultar dados da plataforma.

        Como usar:
        - obtenha o token privado da sua empresa;
        - envie `Authorization: Bearer SEU_TOKEN_PRIVADO`;
        - não use `x-api-key` neste módulo.

```

## SDK Code Examples

```python
import requests

url = "https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico"

payload = {
    "nome": "string",
    "categoria_produto_id": 1,
    "valor": 1.1,
    "custo": 1.1
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"nome":"string","categoria_produto_id":1,"valor":1.1,"custo":1.1}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico"

	payload := strings.NewReader("{\n  \"nome\": \"string\",\n  \"categoria_produto_id\": 1,\n  \"valor\": 1.1,\n  \"custo\": 1.1\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"nome\": \"string\",\n  \"categoria_produto_id\": 1,\n  \"valor\": 1.1,\n  \"custo\": 1.1\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"nome\": \"string\",\n  \"categoria_produto_id\": 1,\n  \"valor\": 1.1,\n  \"custo\": 1.1\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico', [
  'body' => '{
  "nome": "string",
  "categoria_produto_id": 1,
  "valor": 1.1,
  "custo": 1.1
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"nome\": \"string\",\n  \"categoria_produto_id\": 1,\n  \"valor\": 1.1,\n  \"custo\": 1.1\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "nome": "string",
  "categoria_produto_id": 1,
  "valor": 1.1,
  "custo": 1.1
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://gestao.simplificagestao.com.br/ords/gestao/simplificav2/servico")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```